Name:    dragon
Summary: Media player
Version: 23.08.4
Release:    1%{?dist}

License: ( GPL-2.0-only OR GPL-3.0-only ) AND GFDL-1.2-or-later
URL:     https://apps.kde.org/dragonplayer/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz


BuildRequires: desktop-file-utils
BuildRequires: kf5-rpm-macros
BuildRequires: extra-cmake-modules
BuildRequires: qt5-qtbase-devel

BuildRequires: kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kcrash-devel
BuildRequires: kf5-kiconthemes-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-knotifications-devel
BuildRequires: kf5-kwidgetsaddons-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: kf5-kparts-devel
BuildRequires: kf5-solid-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-kxmlgui-devel
BuildRequires: kf5-kjobwidgets-devel
BuildRequires: kf5-kdbusaddons-devel

BuildRequires: phonon-qt5-devel

%global appstream_validate 1
BuildRequires: libappstream-glib

Provides:  kdemultimedia-dragonplayer = 6:%{version}-%{release}
Provides:  dragonplayer = %{version}-%{release}

Conflicts: kde-l10n < 17.03

%description
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html --with-man


%check
%if 0%{?appstream_validate}
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.dragonplayer.appdata.xml
%endif
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.dragonplayer.desktop

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_datadir}/solid/actions/dragonplayer-opendvd.desktop
%{_kf5_datadir}/solid/actions/dragonplayer-openaudiocd.desktop
%{_kf5_bindir}/dragon
%{_sysconfdir}/xdg/dragonplayerrc
%{_kf5_datadir}/kservices5/ServiceMenus/dragonplayer_play_dvd.desktop
%{_kf5_metainfodir}/org.kde.dragonplayer.appdata.xml
%{_kf5_datadir}/applications/org.kde.dragonplayer.desktop
%{_kf5_datadir}/icons/hicolor/*/apps/dragonplayer.*
%{_kf5_datadir}/icons/oxygen/*/actions/player-volume-muted.*
%{_mandir}/man1/dragon.1*
%{_kf5_plugindir}/parts/dragonpart.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
